Get legal entities by Engagement GUID Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/shared-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Shared API MCP server": {
    "url": "https://developer.adra.com/doc/shared-api/mcp"
  }
}

Close
GET /api/v1.0/engagements/{engagementSid}/legal-entities

Path parameters

  • engagementSid string Required

    Short identifier for engagement (as in URLs)

Query parameters

  • $filter string

    OData $filter parameter

  • $orderby string

    OData $orderby parameter

  • $top integer(int64) Required

    OData $top parameter

    Minimum value is 0, maximum value is 500.

  • $skip integer(int64)

    OData $skip parameter

    Minimum value is 0, maximum value is 500.

  • $count boolean

    OData $count parameter

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • value array[object]
      Hide value attributes Show value attributes object
      • id string(uuid) Required
      • engagementId string(uuid) Required
      • code string Required
      • name string Required
      • countryCode string Required
      • currencyCode string Required
      • active boolean Required
      • organizationNo string | null
      • address1 string | null
      • address2 string | null
      • postalCode string | null
      • city string | null
      • extraInfo string | null
    • @odata.count string | null
    • @odata.nextPage string | null
  • 400 application/problem+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 401 application/problem+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 403 application/problem+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 404 application/problem+json

    Not Found

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • default application/problem+json

    Error

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
GET /api/v1.0/engagements/{engagementSid}/legal-entities
curl \
 --request GET 'https://sharedapi.adra.com/api/v1.0/engagements/{engagementSid}/legal-entities?%24top=42' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "value": [
    {
      "id": "string",
      "engagementId": "string",
      "code": "string",
      "name": "string",
      "countryCode": "string",
      "currencyCode": "string",
      "active": true,
      "organizationNo": "string",
      "address1": "string",
      "address2": "string",
      "postalCode": "string",
      "city": "string",
      "extraInfo": "string"
    }
  ],
  "@odata.count": "string",
  "@odata.nextPage": "string"
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (404)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (default)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}